[tor-commits] [tor-browser-bundle/master] Call gitian-pluggable-transports.yml from mkbundle-linux.sh.

mikeperry at torproject.org mikeperry at torproject.org
Tue Jan 21 04:47:03 UTC 2014


commit 827fc3c5ff278646a8b0ba4aaf27ba39db8f9735
Author: David Fifield <david at bamsoftware.com>
Date:   Wed Nov 6 06:03:36 2013 +0000

    Call gitian-pluggable-transports.yml from mkbundle-linux.sh.
---
 gitian/mkbundle-linux.sh |   34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

diff --git a/gitian/mkbundle-linux.sh b/gitian/mkbundle-linux.sh
index 182b1b6..628cd86 100755
--- a/gitian/mkbundle-linux.sh
+++ b/gitian/mkbundle-linux.sh
@@ -79,7 +79,7 @@ cd $GITIAN_DIR
 if [ ! -f $GITIAN_DIR/inputs/tor-linux32-gbuilt.zip -o ! -f $GITIAN_DIR/inputs/tor-linux64-gbuilt.zip ];
 then
   echo 
-  echo "****** Starting Tor Component of Linux Bundle (1/3 for Linux) ******"
+  echo "****** Starting Tor Component of Linux Bundle (1/4 for Linux) ******"
   echo 
 
   ./bin/gbuild -j $NUM_PROCS --commit openssl=$OPENSSL_TAG,zlib=$ZLIB_TAG,libevent=$LIBEVENT_TAG,tor=$TOR_TAG $DESCRIPTOR_DIR/linux/gitian-tor.yml
@@ -94,7 +94,7 @@ then
   #cp -a result/tor-linux-res.yml $GITIAN_DIR/inputs/
 else
   echo 
-  echo "****** SKIPPING already built Tor Component of Linux Bundle (1/3 for Linux) ******"
+  echo "****** SKIPPING already built Tor Component of Linux Bundle (1/4 for Linux) ******"
   echo 
 
 fi
@@ -103,7 +103,7 @@ fi
 if [ ! -f $GITIAN_DIR/inputs/tor-browser-linux32-gbuilt.zip -o ! -f $GITIAN_DIR/inputs/tor-browser-linux64-gbuilt.zip ];
 then
   echo 
-  echo "****** Starting TorBrowser Component of Linux Bundle (2/3 for Linux) ******"
+  echo "****** Starting TorBrowser Component of Linux Bundle (2/4 for Linux) ******"
   echo 
 
   ./bin/gbuild -j $NUM_PROCS --commit tor-browser=$TORBROWSER_TAG $DESCRIPTOR_DIR/linux/gitian-firefox.yml
@@ -118,14 +118,36 @@ then
   #cp -a result/torbrowser-linux-res.yml $GITIAN_DIR/inputs/
 else
   echo 
-  echo "****** SKIPPING already built TorBrowser Component of Linux Bundle (2/3 for Linux) ******"
+  echo "****** SKIPPING already built TorBrowser Component of Linux Bundle (2/4 for Linux) ******"
+  echo 
+fi
+
+if [ ! -f $GITIAN_DIR/inputs/pluggable-transports-linux32-gbuilt.zip -o ! -f $GITIAN_DIR/inputs/pluggable-transports-linux64-gbuilt.zip ];
+then
+  echo 
+  echo "****** Starting Pluggable Transports Component of Linux Bundle (3/4 for Linux) ******"
+  echo 
+
+  ./bin/gbuild -j $NUM_PROCS --commit openssl=$OPENSSL_TAG $DESCRIPTOR_DIR/linux/gitian-pluggable-transports.yml
+  if [ $? -ne 0 ];
+  then
+    #mv var/build.log ./pluggable-transports-fail-linux.log.`date +%Y%m%d%H%M%S`
+    exit 1
+  fi
+  
+  cp -a build/out/pluggable-transports-linux*-gbuilt.zip $GITIAN_DIR/inputs/
+  cp -a build/out/pluggable-transports-linux*-debug.zip $GITIAN_DIR/inputs/
+  #cp -a result/pluggable-transports-linux-res.yml $GITIAN_DIR/inputs/
+else
+  echo 
+  echo "****** SKIPPING already built Pluggable Transports Component of Linux Bundle (3/4 for Linux) ******"
   echo 
 fi
 
 if [ ! -f $GITIAN_DIR/inputs/bundle-linux.gbuilt ];
 then 
   echo 
-  echo "****** Starting Bundling+Localization of Linux Bundle (3/3 for Linux) ******"
+  echo "****** Starting Bundling+Localization of Linux Bundle (4/4 for Linux) ******"
   echo 
   
   cd $WRAPPER_DIR && ./record-inputs.sh $VERSIONS_FILE && cd $GITIAN_DIR
@@ -143,7 +165,7 @@ then
   touch $GITIAN_DIR/inputs/bundle-linux.gbuilt
 else
   echo 
-  echo "****** SKIPPING already built Bundling+Localization of Linux Bundle (3/3 for Linux) ******"
+  echo "****** SKIPPING already built Bundling+Localization of Linux Bundle (4/4 for Linux) ******"
   echo 
 fi 
 





More information about the tor-commits mailing list